Loading...
Searching...
No Matches
Gudhi::Persistence_representations::weight_by_setting_maximal_interval_to_have_length_one Class Reference

`#include <include/gudhi/Persistence_heat_maps.h>`

## Detailed Description

This is one of a scaling functions used to weight points depending on their persistence and/or location in the diagram. This scaling function do not only depend on a point (p,d) in the diagram, but it depends on the whole diagram. The longest persistence pair get a scaling 1. Any other pair get a scaling belong to [0,1], which is proportional to the persistence of that pair.

The documentation for this class was generated from the following file:

- include/gudhi/Persistence_heat_maps.h